Skip to main content
POST
@firma-dev/sdk

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Template ID

Body

application/json
document
string
required

Base64-encoded PDF or DOCX document. DOCX files are automatically converted to PDF.

Response

Document replaced successfully

id
string<uuid>
required

Unique identifier for the template

name
string
required

Template name

Maximum string length: 255
created_date
string<date-time>
required

Template creation timestamp

description
string | null

Template description

document_url
string<uri>

Pre-signed URL to the PDF document. This is a time-limited signed URL for secure access - see document_url_expires_at for expiration time. Initial URLs are valid for 7 days; refreshed URLs are valid for 1 hour. Request a new template retrieval to get a fresh URL if expired.

document_url_expires_at
string<date-time> | null

ISO 8601 timestamp when the document_url will expire. After this time, the URL will return an access denied error. Fetch the template again to receive a fresh signed URL.

page_count
integer

Number of pages in the document

Required range: x >= 1
expiration_hours
integer
default:168

Hours until signing requests created from this template expire

Required range: x >= 1
credit_cost
integer
default:1

Number of credits consumed when a signing request is sent from this template. Minimum value is 1.

Required range: x >= 1
settings
object

Settings returned by the signing request list and detail endpoints. Templates use the TemplateSettings schema (no identity fields).

recipients
object[]

Template recipients (included in GET single template)

fields
object[]

Template fields (included in GET single template)

updated_date
string<date-time>

Template last update timestamp